task catreads {
	Array[File] fqs
	String sample_name
	String disk_size
	String cluster_config

	command <<<
	        set -o pipefail
		    set -e

			cat ${sep=" " fqs} > ${sample_name}
	>>>

	runtime {
		systemDisk: "cloud_ssd 40"
		cluster: cluster_config
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File merge_fq = "${sample_name}"
	}
}
