> Author: Jun Shang
> Email: shangjunv@163.com
> Last Updates: 10/05/2022

#### Requirements

- choppy
- Ali-Cloud

```
# Activate choppy environment
$ open-choppy-env

# Install app
$ choppy install junshang/catreads

# Create input file `samples.json`
touch samples.json
```

#### quick start

```
$ choppy batch junshang/catreads-latest sample.json -p Your_project_name
```

#### Input File

Input file `samples.json` should be in the form of json.
For example:

```json
{
  "fqs": [
    "oss://choppy-app-example-data/RNAseq/fastq_1m_reads/tumor_1M_1_R1.fq.gz",
    "oss://choppy-app-example-data/RNAseq/test_fq/test_R1.fq.gz"
  ],
  "sample_name": "test_1.fq.gz",
  "sample_id": "test_1",
  "disk_size": 200
}
```
